My Project: dgTree< OBJECT, KEY >::dgTreeNode Class Reference

My Project

Public Member Functions | Friends | List of all members
dgTree< OBJECT, KEY >::dgTreeNode Class Reference

`#include <dgTree.h>`

Inheritance diagram for dgTree< OBJECT, KEY >::dgTreeNode:

## Public Member Functions

const KEY & | GetKey () const
OBJECT & | GetInfo ()
Public Member Functions inherited from dgRedBackNode
| dgRedBackNode ()
virtual | ~dgRedBackNode ()
void | RemoveAllLow ()
void | RotateLeft (dgRedBackNode **const head)
void | RotateRight (dgRedBackNode **const head)
void | RemoveFixup (dgRedBackNode *const node, dgRedBackNode **const head)
dgRedBackNode * | GetLeft () const
dgRedBackNode * | GetRight () const
dgRedBackNode * | GetParent () const
| dgRedBackNode (dgRedBackNode *const parent)
void | Initdata (dgRedBackNode *const parent)
void | SetColor (REDBLACK_COLOR color)
REDBLACK_COLOR | GetColor () const
dgUnsigned32 | IsInTree () const
void | SetInTreeFlag (dgUnsigned32 flag)
void | RemoveAll ()
dgRedBackNode * | Prev () const
dgRedBackNode * | Next () const
dgRedBackNode * | Minimum () const
dgRedBackNode * | Maximum () const
void | Remove (dgRedBackNode **const head)
void | Unlink (dgRedBackNode **const head)
void | InsertFixup (dgRedBackNode **const head)

## Friends

class | dgTree< OBJECT, KEY >

## Additional Inherited Members

Public Types inherited from dgRedBackNode
enum | REDBLACK_COLOR { RED = true, BLACK = false }
Public Attributes inherited from dgRedBackNode
dgRedBackNode * | m_left
dgRedBackNode * | m_right
dgRedBackNode * | m_parent
dgUnsigned32 | m_color: 1
dgUnsigned32 | m_inTree: 1

## Member Function Documentation

## § GetInfo()

template<class OBJECT, class KEY>

OBJECT& dgTree< OBJECT, KEY >::dgTreeNode::GetInfo | ( |  | ) |

inline

## § GetKey()

template<class OBJECT, class KEY>

const KEY& dgTree< OBJECT, KEY >::dgTreeNode::GetKey | ( |  | ) | const

inline

## Friends And Related Function Documentation

## § dgTree< OBJECT, KEY >

template<class OBJECT, class KEY>

friend class dgTree< OBJECT, KEY >

friend

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgTree.h